net.corda.node.services.messaging

## Interface ArtemisMessagingComponent.ArtemisAddress

- All Superinterfaces:
    MessageRecipients
  All Known Subinterfaces:
    ArtemisMessagingComponent.ArtemisPeerAddress
  All Known Implementing Classes:
    ArtemisMessagingComponent.NetworkMapAddress, ArtemisMessagingComponent.NodeAddress, ArtemisMessagingComponent.ServiceAddress
  Enclosing class:
    ArtemisMessagingComponent

      public static ArtemisMessagingComponent.ArtemisAddress
      extends MessageRecipients

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getQueueName()`

- - ### Method Detail

    - #### getQueueName

          java.lang.String getQueueName()